package com.huimv.produce;

import com.huimv.common.config.InterceptorConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Import;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootApplication
@MapperScan("com.huimv.produce.*.mapper")
@Import(InterceptorConfig.class)
public class HuimvProduceApplication {
    public static void main(String[] args) {
        ApplicationContext applicationContext = SpringApplication.run(HuimvProduceApplication.class, args);
    }
}
