package com.huimv.receiver.eco.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SysTemperature extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "tem_id", type = IdType.AUTO)
    private Integer temId;

    private String id;

    private Double value;

    @JsonFormat(pattern = "HH:mm",timezone = "GMT+8")
    private Date createTime;

    private Integer roomId;

    private Integer farmId;


    private Double original;



}
